Bio::Phylo::Matrices::Characters(3)

NAME
Bio::Phylo::Matrices::Characters - Container of character objects

SYNOPSIS
 # No direct usage

DESCRIPTION
Objects of this type hold a list of Bio::Phylo::Matrices::Character objects, i.e. columns in a matrix. By default, a matrix will be initialized to hold one object of this type (which can be retrieved using $matrix->get_characters). Its main function is to facilitate NeXML serialization of matrix objects, though this may expand in the future.

METHODS

  SERIALIZERS

to_xml()
    Serializes characters to nexml format.

     Type    : Format convertor
     Title   : to_xml
     Usage   : my $xml = $characters->to_xml;
     Function: Converts characters object into a nexml element structure.
     Returns : Nexml block (SCALAR).
     Args    : NONE

SEE ALSO
There is a mailing list at <https://groups.google.com/forum/#!forum/bio-phylo> for any user or developer questions and discussions.

Bio::Phylo::Matrices::TypeSafeData
    This object inherits from Bio::Phylo::Matrices::TypeSafeData, so the methods defined therein are also applicable to characters objects objects.

Bio::Phylo::Manual
    Also see the manual: Bio::Phylo::Manual and <http://rutgervos.blogspot.com>.

CITATION
If you use Bio::Phylo in published research, please cite it:

Rutger A Vos, Jason Caravas, Klaas Hartmann, Mark A Jensen and Chase Miller, 2011. Bio::Phylo - phyloinformatic analysis using Perl. BMC Bioinformatics 12:63. <http://dx.doi.org/10.1186/1471-2105-12-63>